Bug 734286 - tboot package was not included in install DVD yet
tboot package was not included in install DVD yet
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-08-29 21:29 EDT by Gang Wei
Modified: 2013-02-26 10:22 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-26 10:22:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gang Wei 2011-08-29 21:29:21 EDT
Description of problem:
Tboot packge was approved as a optional package to be included by FESCo. http://meetbot.fedoraproject.org/teams/fesco/fesco.2011-07-18-17.01.html

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Download the Alpha install DVD iso
2. mount the install DVD iso
3. ll tboot* in ./Packages
Actual results:
Tboot package not found

Expected results:
Tboot package included.

Additional info:
Comment 1 Adam Williamson 2011-08-29 21:42:32 EDT
I don't see that this meets any release criteria. Note that the feature process and the release validation process are separate: we only consider bugs blockers that cause significant defects in the release per the release criteria. A bug isn't a blocker just because it relates to an approved feature. Voting -1 blocker unless anyone can cite a criterion this infringes.

Note that this doesn't mean the change can't go into Beta, Beta is not frozen for a while.
Comment 2 Bill Nottingham 2011-08-30 11:38:33 EDT
Assigning to a release engineer - optional packages on the DVD require a bit of special handling.
Comment 3 Tim Flink 2011-09-02 11:58:06 EDT
I agree with adam on this one - I don't see why this should be a release blocker and my vote is -1 blocker, -1 NTH.
Comment 4 Adam Williamson 2011-09-02 13:50:07 EDT
Discussed at 2011-09-02 blocker review meeting. All agreed this does not impact any release criteria: rejectedblocker. Note Beta is not frozen, so this can still go in if Bill gets around to it.
Comment 5 Adam Williamson 2011-09-06 14:38:36 EDT
forgot to drop the blocks: .
Comment 6 Gang Wei 2011-09-15 23:23:23 EDT
Checked Beta RC1 install DVD iso, tboot is still not included.

Hi, Bill,

Is it possible to make tboot included in Beta RC2 or 3?
Comment 7 Adam Williamson 2011-09-16 00:32:49 EDT
same problem - we're in freeze now. this needs to happen *outside* of a freeze period :)

bill, can you please remember to take care of this between Beta release and Final freeze? Thanks!
Comment 8 Bill Nottingham 2011-09-19 14:56:38 EDT
Given it's not installed by default, nor is it currently selectable in anaconda's UI, what's the point of having it on the DVD?
Comment 9 Gang Wei 2011-09-20 20:34:57 EDT
I suppose the process of putting tboot package on the DVD will also make it selectable in anaconda's UI, doesn't it?

I didn't found any place I need to change in anaconda to make a specific package selectable in UI. So it should be controlled by some scripts in other project.

I didn't get hint about how to change it by myself, so I can only ask help from you.
Comment 10 Adam Williamson 2011-09-20 22:16:17 EDT
adding it to comps would cause it to be selectable on the dvd, but only in the manual package selection screen, which is very optional and which not many people use.

it would probably be best to talk to the anaconda team about the best way to integrate tboot support into the installation process. are we expecting there to be a scenario where you would need to be able to install the tboot package as part of the initial fedora installation in order for the system to boot correctly?
Comment 11 Gang Wei 2011-09-20 23:13:47 EDT
Thanks for explanation on it. Manual package selection for tboot package is the bottom line, easier way would be a big plus.

So first of all, I would expect tboot package be added to comps first. Meanwhile I will talk to the anaconda team about better integration of tboot support into the installation process.

So far no scenario request installing the tboot package as part of the initial fedora installation in order for the system to boot correctly.
Comment 12 Gang Wei 2011-10-23 21:38:19 EDT
Any updates? Can the fix catch up the last stable push for f16 GA on Monday October 24?
Comment 13 Bill Nottingham 2011-10-24 13:51:18 EDT
It's listed as an optional package in comps. This still means it is only available on network installs as of now.
Comment 14 Adam Williamson 2011-10-24 21:53:23 EDT
but then, comps changes don't need package pushes and aren't caught by the freeze, so in _practice_ you can change this post-freeze. you really oughtn't to, though.

we're still not sure what concrete benefit there would be for anyone just having this on the dvd but only installed if you manually select it.
Comment 15 Gang Wei 2011-10-24 22:42:21 EDT
I suppose "manually select" here means choosing a package not included in default package installation set via customized package installation selection UI.

Aren't there a lot of packages on the DVD that aren't selected by default, and need be selected manually?

As to the benefit of having the package on the dvd and but installed if user manually select it, firstly, it could provide chance for user to try without a ready internet connection. Secondly it could make it easy for user who want to use it but also provide a good chance for user who don't care about it to just ignore this selection step.

Ideally we would prefer to make the tboot package as a default installed package, but that may a little bit unfair to user who don't want it. From this point of view, we just request for optional package which is on DVD and could be manually selected in the UI during the system installation time.

Does it make sense?
Comment 16 Fedora End Of Life 2013-01-16 16:24:08 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 17 Fedora End Of Life 2013-02-26 10:22:24 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.